API referenceRules
Create a rule
post
https://www.tracira.com/api/rulesAuthorization
sessionAuth better-auth.session_token<token>
Browser session cookie used by logged-in Tracira users. Secure-prefixed variants may also be used by the browser.
In: cookie
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/rules" \ -H "Content-Type: application/json" \ -d '{ "name": "No refund promises", "type": "keyword_forbidden", "value": "refund", "description": "Refunds need a human sign-off.", "projectName": "Customer Support" }'{ "id": "string", "name": "string", "type": "keyword_required", "description": "string", "value": "string", "isActive": true, "projectId": "string", "projectName": "string", "taskName": "string", "llmJudgeProvider": "anthropic", "llmJudgeModel": "string", "createdAt": "2019-08-24T14:15:22Z"}